Subject: bug#74090: 31.0.50; Problems with dabbrev-expand

From: Juri Linkov <[email-masked]>
Date: Tue, 03 Dec 2024 09:35:30 +0200

> With these changes the test succeeds in batch runs and I think now better
> reflects the user experience with manual input, so I went ahead and
> pushed the fix (commit 6bca138d60e to emacs-30).  If you agree, feel
> free to close the bug again (assuming it needs to be reclosed, since you
> unarchived it); otherwise, if you see other problems with the test,
> please let me know.

I see the same test failures that were reported on emacs-devel.

One of them is clear because of quotes mismatch:

      (string= "No further dynamic expansion for `ab' found"
	       "No further dynamic expansion for ‘ab’ found")

But why 4 lines with should-error affect two other tests
is not clear.  Maybe other tests expect the initial contents
in the scratch buffer?  Or the same buffer list?

Generally, this is deficiency of the test-suite design
that tests are not isolated.